﻿local MAJOR_VERSION = "Threat-1.0"
local MINOR_VERSION = tonumber(("$Revision: 38530 $"):match("%d+"))

if MINOR_VERSION > _G.ThreatLib_MINOR_VERSION then
	_G.ThreatLib_MINOR_VERSION = MINOR_VERSION
end

ThreatLib_funcs[#ThreatLib_funcs+1] = function()

local ThreatLib = _G.ThreatLib

local BB = AceLibrary("Babble-Boss-2.2")
local c = BB["Al'ar"]
local Alar = ThreatLib:GetModule("NPCCore"):NewModule(c)

Alar:RegisterTranslation("enUS", {
	["Al'ar begins to cast Rebirth."] = true,
})
Alar:RegisterTranslation("deDE", {
	["Al'ar begins to cast Rebirth."] = nil,
})
Alar:RegisterTranslation("frFR", {
	["Al'ar begins to cast Rebirth."] = "Al'ar commence à lancer Renaissance.",
})
Alar:RegisterTranslation("koKR", {
	["Al'ar begins to cast Rebirth."] = "알라르|1이;가; 환생 시전을 시작합니다.",
})
Alar:RegisterTranslation("zhTW", {
	["Al'ar begins to cast Rebirth."] = nil,
})

local rebirth = Alar:GetTranslation("Al'ar begins to cast Rebirth.")
Alar:UnregisterTranslations()

function Alar:Init()
	self:RegisterCombatant(BB["Al'ar"], true)
end

function Alar:OnEnable()
	ThreatLib:GetModule("NPCCore").modulePrototype.OnEnable(self)
	self:RegisterEvent("CHAT_MSG_SPELL_CREATURE_VS_CREATURE_DAMAGE")
end

function Alar:CHAT_MSG_SPELL_CREATURE_VS_CREATURE_DAMAGE(msg)
	if msg == rebirth then
		self:WipeRaidThreatOnMob(BB["Al'ar"])
	end
end

end
